#
# spec file for package latex2html (Version 2002.2.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libgimpprint libgssapi libjpeg libjpeg-devel libmudflap libnetpbm libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           latex2html
BuildRequires:  ghostscript-fonts-std ghostscript-x11 glib libpng-devel libtiff-devel netpbm te_ams te_latex xorg-x11 xorg-x11-devel
%define share_dir /usr/share/latex2html
Obsoletes:      l2h l2hhtml
Provides:       l2h
Url:            http://www.latex2html.org/
License:        Contact author
Group:          Productivity/Publishing/TeX/Utilities
Provides:       l2h99_1 
Requires:       tetex te_latex netpbm perl ghostscript_any glib latex2html-pngicons
AutoReqProv:    on
Version:        2002.2.1
Release:        379.5
Summary:        LaTeX2HTML Converter
BuildArch:      noarch
Source:         latex2html-%{version}.tar.bz2
Source1:        latex2html-manual.ps.gz
Source2:        latex2html-manual.tar.bz2
Source3:        latex2html-README.SuSE
Patch:          latex2html-%{version}.diff
Patch1:         latex2html-%{version}-binmode.diff
Patch2:         latex2html-2002-2-1-gsout.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LaTeX2HTML lets you easily convert basic LaTeX documents into the HTML
format. This allows both a written and online version even of older
LaTeX texts.

Find documentation in /usr/share/doc/packages/latex2html.



Authors:
--------
    Jens Lippmann <lippmann@cdc.informatik.tu-darmstadt.de>
    Nikos Drakos <nikos@cbl.leeds.ac.uk>
    Ross Moore <ross@mpce.mq.edu.au>

%debug_package
%package pngicons
License:        Contact author
Provides:       l2h-pngicons
Obsoletes:      l2h-pngicons
Group:          Productivity/Publishing/TeX/Utilities
Summary:        Icons in the PNG format for the LaTeX to HTML Converter

%description pngicons
Icons in the PNG format for the LaTeX to HTML Converter.



Authors:
--------
    Jens Lippmann <lippmann@cdc.informatik.tu-darmstadt.de>
    Nikos Drakos <nikos@cbl.leeds.ac.uk>
    Ross Moore <ross@mpce.mq.edu.au>

%prep
%setup -n %{name}-2002-2-1
%setup -a 2 -n %{name}-2002-2-1
%patch
%patch1
%patch2
cp %{S:1} manual.ps.gz
cp %{S:3} README.SuSE

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 latex2html.man $RPM_BUILD_ROOT/%{_mandir}/man1/latex2html.1
mkdir inst_doc
mv $RPM_BUILD_ROOT%{share_dir}/{docs,example} inst_doc

%clean
rm -rf $RPM_BUILD_ROOT

%postun
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%files
%defattr(-, root, root)
%doc README.SuSE
%doc Changes FAQ README TODO dot.latex2html-init readme.hthtml manual.ps.gz manual/
%doc inst_doc/* tests
#%doc %{_defaultdocdir}/latex2html/manual
#%doc %{_defaultdocdir}/latex2html/manual.ps.gz
/usr/lib/latex2html
%dir %{share_dir}
%{share_dir}/*.pm
%{share_dir}/IndicTeX-HTML
%{share_dir}/L2hos
%{share_dir}/XyMTeX-HTML
%{share_dir}/cweb2html
%{share_dir}/dot.latex2html-init
%{share_dir}/foilhtml
%{share_dir}/icons/*.html
%{share_dir}/icons/*.gif
%{share_dir}/makemap
%{share_dir}/makeseg
%{share_dir}/readme.hthtml
%{share_dir}/styles
%{share_dir}/texinputs
%{share_dir}/versions
/usr/bin/*
/usr/share/texmf/tex/latex/html
%{_mandir}/man1/latex2html*

%files pngicons
%dir %{share_dir}
%dir %{share_dir}/icons
%{share_dir}/icons/*.png

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Feb 19 2005 - ro@suse.de
- fix gs version detection
* Tue Jun 08 2004 - ke@suse.de
- Add README.SuSE and document 'url' package incompatibility [#26127].
* Thu Mar 04 2004 - tcrhak@suse.cz
- install into /usr/share/latex2html instead of /usr/share/lib/latex2html
  (bug #33641)
* Wed Oct 29 2003 - tcrhak@suse.cz
- use latex2html instead of l2h in the man page [bug #32559]
- updated the man page
* Thu Aug 14 2003 - kukuk@suse.de
- Fix filelist for pngicons subpackage
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist
* Fri Mar 07 2003 - tcrhak@suse.cz
- open files in raw binmode - needed when in a UTF-8 locale
  [bug #22982]
* Wed Jan 15 2003 - tcrhak@suse.cz
- update to version 2002.2.1
- directory ...latex2html/icons now owned by
  latex2html-pngicons, not latex2html
- removed split-alias from latex2html-pngicons,
  as it is required by latex2html
* Thu Oct 31 2002 - ro@suse.de
- fixed renaming issues with pngicons subpackage
* Wed Oct 30 2002 - mmj@suse.de
- When l2hhtml is merged into here, this one should obsolete it
* Wed Oct 30 2002 - mmj@suse.de
- Rename to latex2html, and merge the l2hhtml package
* Thu Sep 12 2002 - mls@suse.de
- made it understand DeclareRobustCommand
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Mon Mar 25 2002 - ro@suse.de
- l2h should require it's icons not vice versa
* Sat Mar 23 2002 - ro@suse.de
- split off package l2h-pngicons
* Mon Feb 18 2002 - tcrhak@suse.cz
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Aug 02 2001 - utuerk@suse.de
- added glib to Requires and neededforbuild
  to configure l2h to use png by default
* Thu Jul 26 2001 - kukuk@suse.de
- fix needed for build
* Wed Jul 18 2001 - nadvornik@suse.cz
- updated URL and README (bug #9386)
* Wed Mar 07 2001 - cihlar@suse.cz
- fixed neededforbuild
* Thu Dec 07 2000 - nadvornik@suse.cz
- added te_latex to Requires
* Fri Dec 01 2000 - nadvornik@suse.cz
- update to 99.2beta8
* Wed Aug 30 2000 - nadvornik@suse.cz
- configured to use png by default
* Thu Aug 03 2000 - nadvornik@suse.cz
- added man page
- spec file cleanup
* Mon Sep 20 1999 - ro@suse.de
- added Requires: ghostscript_any
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- update: version 99.1
- the rc.config variables are gone.
* Wed Apr 07 1999 - ro@suse.de
- fixed tex/latex link
* Thu Jul 02 1998 - ro@suse.de
- fixed bash2-bug in SuSEconfig.l2h
* Wed Mar 18 1998 - ro@suse.de
- added touch var/adm/SuSEconfig/run-texhash to %%post
* Tue Jun 10 1997 - maddin@suse.de
- reordered the directory structure
  - latex2html now sits partly in /var/lib/latex2html (writable part) and
  /usr/lib/latex2html (read-only part)
- made absolute links relative ones
- removed some links
- restructured /sbin/conf.d/SuSEconfig.l2h
* Thu May 22 1997 - maddin@suse.de
- first S.u.S.E. version 96-1.h
- placed the package in /usr/lib/latex2html
- documentation manual to separate package l2hhtml
- variables in rc.config to configure the package
